Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Info3D

    java.lang.Object
      jet.report.xls.Info3D

    public class Info3D

extends java.lang.Object

3d chart info

Constructor Summary
`Info3D()` Constructs an `Info3D` object with the default parameter.
`Info3D(short anRot, short anElev, short pcHeight, short pcDepth, short pcGap)` Constructs an `Info3D` object with the below parameters:

Method Summary
`short` | `getAnElev()` Gets elevation angle(-90 to 90 degrees).
`short` | `getAnRot()` Gets rotation angle(0 to 360).
`short` | `getPcDepth()` Gets the depth of points relative to width.
`short` | `getPcDist()` Gets the distance from eye to chart(0 to 100).
`short` | `getPcGap()` Gets the space between series.
`short` | `getPcHeight()` Gets the height of plot volume relative to width and depth.
`boolean` | `isCluster()` Gets whether the 3-D columns are clustered or not.
`boolean` | `isPerspective()` Gets whether to use perspective transform or not.
`boolean` | `isScaling()` Gets whether to use auto scaling or not.
`boolean` | `isWall()` Gets whether to use 2D walls and gridlines or not.
`void` | `setAnElev(short anElev)` Sets elevation angle(-90 to 90 degrees).
`void` | `setAnRot(short anRot)` Sets rotation angle(0 to 360).
`void` | `setCluster(boolean b)` Sets whether the 3-D columns are clustered or not.
`void` | `setPcDepth(short pcDepth)` Sets the depth of points relative to width.
`void` | `setPcDist(short pcDist)` Sets the distance from eye to chart(0 to 100).
`void` | `setPcGap(short pcGap)` Sets the space between series.
`void` | `setPcHeight(short pcHeight)` Sets the height of plot volume relative to width and depth.
`void` | `setPerspective(boolean b)` Sets whether to use perspective transform or not.
`void` | `setScaling(boolean b)` Sets whether to use auto scaling or not.
`void` | `setWall(boolean b)` Sets whether to use 2D walls and gridlines or not.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Info3D

    public Info3D()

  Constructs an `Info3D` object with the default parameter.

### Info3D

    public Info3D(short anRot,
                  short anElev,
                  short pcHeight,
                  short pcDepth,
                  short pcGap)

  Constructs an `Info3D` object with the below parameters:

  Parameters:
    `anRot` - rotation angle(0 to 360)
    `anElev` - elevation angle(-90 to 90 degrees)
    `pcHeight` - height of plot volume relative to width and depth
    `pcDepth` - depth of points relative to width
    `pcGap` - space between series

Method Detail

### getAnRot

    public short getAnRot()

  Gets rotation angle(0 to 360).

  Returns:
    rotation angle(0 to 360)

### setAnRot

    public void setAnRot(short anRot)

  Sets rotation angle(0 to 360).

  Parameters:
    `anRot` - - rotation angle(0 to 360)

### getAnElev

    public short getAnElev()

  Gets elevation angle(-90 to 90 degrees).

  Returns:
    elevation angle(-90 to 90 degrees)

### setAnElev

    public void setAnElev(short anElev)

  Sets elevation angle(-90 to 90 degrees).

  Parameters:
    `anElev` - - elevation angle(-90 to 90 degrees)

### getPcDist

    public short getPcDist()

  Gets the distance from eye to chart(0 to 100).

  Returns:
    distance from eye to chart(0 to 100)

### setPcDist

    public void setPcDist(short pcDist)

  Sets the distance from eye to chart(0 to 100).

  Parameters:
    `pcDist` - - distance from eye to chart(0 to 100)

### getPcHeight

    public short getPcHeight()

  Gets the height of plot volume relative to width and depth.

  Returns:
    height of plot volume relative to width and depth

### setPcHeight

    public void setPcHeight(short pcHeight)

  Sets the height of plot volume relative to width and depth.

  Parameters:
    `pcHeight` - - height of plot volume relative to width and depth

### getPcDepth

    public short getPcDepth()

  Gets the depth of points relative to width.

  Returns:
    depth of points relative to width

### setPcDepth

    public void setPcDepth(short pcDepth)

  Sets the depth of points relative to width.

  Parameters:
    `pcDepth` - - depth of points relative to width

### getPcGap

    public short getPcGap()

  Gets the space between series.

  Returns:
    space between series

### setPcGap

    public void setPcGap(short pcGap)

  Sets the space between series.

  Parameters:
    `pcGap` - space between series

### isPerspective

    public boolean isPerspective()

  Gets whether to use perspective transform or not.

  Returns:
    whether to use perspective transform or not

### setPerspective

    public void setPerspective(boolean b)

  Sets whether to use perspective transform or not.

  Parameters:
    `b` - - whether to use perspective transform or not

### isCluster

    public boolean isCluster()

  Gets whether the 3-D columns are clustered or not.

  Returns:
    whether the 3-D columns are clustered or not

### setCluster

    public void setCluster(boolean b)

  Sets whether the 3-D columns are clustered or not.

  Parameters:
    `b` - - whether the 3-D columns are clustered or not

### isScaling

    public boolean isScaling()

  Gets whether to use auto scaling or not.

  Returns:
    whether to use auto scaling or not

### setScaling

    public void setScaling(boolean b)

  Sets whether to use auto scaling or not.

  Parameters:
    `b` - - whether to use auto scaling or not

### isWall

    public boolean isWall()

  Gets whether to use 2D walls and gridlines or not.

  Returns:
    whether to use 2D walls and gridlines or not

### setWall

    public void setWall(boolean b)

  Sets whether to use 2D walls and gridlines or not.

  Parameters:
    `b` - - whether to use 2D walls and gridlines or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD